%define name    monotone
%define version 0.36
%define release %mkrel 1
%define summary A distributed version control tool


Summary:        %summary
Name:           %name
Version:        %version
Release:        %release
License: GPL
Group: Development/Other
Source: http://monotone.ca/downloads/%{version}/%{name}-%{version}.tar.bz2
Url: http://monotone.ca
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	boost-devel
BuildRequires:  zlib-devel

%description
monotone is a free, distributed version control system. it provides
fully disconnected operation, manages complete tree versions, keeps
its state in a local transactional database, supports overlapping
branches and extensible metadata, exchanges work over plain network
protocols, performs history-sensitive merging, and delegates trust
functions to client-side RSA certificates.

%prep
%setup -q

%build
%configure
%make

%check
make check

%install
rm -rf %buildroot
%makeinstall
%__install -d -m 755 %{buildroot}%{_sysconfdir}/bash_completion.d
%__install -m 644 contrib/monotone.bash_completion %{buildroot}%{_sysconfdir}/bash_completion.d/%{name}
# let RPM copy this file
%__rm -f %{buildroot}%{_docdir}/%{name}/%{name}.html

%find_lang %{name}

%clean
rm -rf %buildroot

%post
%_install_info %{name}.info

%preun
%_remove_install_info %{name}.info

%files -f %{name}.lang
%defattr(-,root,root,0755)
%{_bindir}/mtn
%{_sysconfdir}/bash_completion.d/%{name}
%{_infodir}/%{name}*
%doc AUTHORS COPYING NEWS README UPGRADE monotone.html contrib


%changelog
* Fri Aug 03 2007 Nicholas Brown <nickbrown@mandriva.org> 0.36-1mdv2008.0
+ Revision: 58712
- fix packaging
- New version

* Fri May 11 2007 Nicholas Brown <nickbrown@mandriva.org> 0.35-1mdv2008.0
+ Revision: 26347
- Remove unneeded build dependancy


* Thu Mar 01 2007 Nicholas Brown <nickbrown@mandriva.org> 0.33-1mdv2007.0
+ Revision: 130506
- New version
- New version

* Tue Dec 12 2006 Nicholas Brown <nickbrown@mandriva.org> 0.31-1mdv2007.1
+ Revision: 95959
- New Release

* Wed Oct 11 2006 Nicholas Brown <nickbrown@mandriva.org> 0.30-1mdv2007.1
+ Revision: 63256
- New version
- Import monotone

* Tue Aug 22 2006 Nick Brown <nickbrown@mandriva.org> 0.29-1mdv2007.0
- 0.29

* Tue Jul 25 2006 Nick Brown <nickbrown@mandriva.org> 0.28-1mdv2007.0
- 0.28

* Thu Jun 22 2006 Nick Brown <nickbrown@mandriva.org> 0.27-1mdv2007.0
- 0.27

* Thu Jun 08 2006 Nick Brown <nickbrown@mandriva.org> 0.26-2mdv2007.0
- install bash completion

* Tue Apr 11 2006 Nick Brown <nickbrown@mandriva.org> 0.26-1mdk
- 0.26 (major update. read UPGRADE file)
- new binary name

* Wed Mar 15 2006 Lenny Cartier <lenny@mandriva.com> 0.25.2-1mdk
- 0.25.2

* Fri Dec 30 2005 Nick Brown <nickbrown@mandriva.org> 0.25-1mdk
- 0.25

* Wed Dec 28 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.24-2mdk
- Add BuildRequires

* Mon Nov 28 2005 Nick Brown <nickbrown@mandriva.org> 0.24-1mdk
- 0.24

* Sat Oct 01 2005 Nick Brown <nickbrown@mandrake.org> 0.23-1mdk
- 0.23
- added localisation files

* Wed Aug 10 2005 Nick Brown <nickbrown@mandrake.org> 0.22-1mdk
- 0.22
- remove compiler flag changes, as new crypto library is used.

* Tue Jul 19 2005 Nick Brown <nickbrown@mandrake.org> 0.21-1mdk
- 0.21
- use %%mkrel
- remove gcc 4 hack, added upstream

* Thu Jul 07 2005 Nick Brown <nickbrown@mandrake.org> 0.20-1mdk
- 0.20
- add -DBOOST_REGEX_V4_CHAR_REGEX_TRAITS_HPP to compiler flags to
  allow compilation with gcc 4

* Thu May 05 2005 Nick Brown <nickbrown@mandrake.org> 0.19-1mdk
- 0.19
- make check in %%check

* Thu Apr 14 2005 Nick Brown <nickbrown@mandrake.org> 0.18-2mdk
- Make monotone actually work

* Wed Apr 13 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.18-1mdk
- 0.18

* Mon Feb 07 2005 Michael Scherer <misc@mandrake.org> 0.16-1mdk
- New release 0.16

* Sat Nov 13 2004 Michael Scherer <misc@mandrake.org> 0.15-1mdk
- New release 0.15

* Thu Aug 12 2004 Nick Brown <nickbroon@blueyonder.co.uk> 0.14-1mdk
- new version

* Mon Jun 07 2004 Michael Scherer <misc@mandrake.org> 0.13-2mdk 
- rebuild for new gcc ( patch #0 )

* Fri Jun 04 2004 Michael Scherer <misc@mandrake.org> 0.13-1mdk
- rpmbuildupdate aware
- BuildRequires
- from Nick Brown <nickbroon@blueyonder.co.uk>
  - First Mandrake package release

